![Header-Image](docs/header.png)

> Infrastructure as Code or IaC is the process of provisioning and managing infrastructure defined through code, instead of doing so with a manual process.
>
> Infrastructure as code brings a lot of advantages into the network operation:
> + Reducing shadow IT within organizations and allowing timely and efficient infrastructure changes
> + Integrating directly with CI/CD platforms
> + Enabling version-controlled infrastructure and configuration changes leading to trackable configurations
> + Standardizing infrastructure with reproducible configurations
> + Effectively managing configurating drift and keeping infrastructure and configurations in their desired state
> + Having the ability to easily scale up infrastructure as automation eliminates the need for manual configurations

# NetBox Cisco Support Plugin
----
</br>

Das Device Support NetBox Plugin ist eine DSC Entwicklung und erweitert NetBox mit folgenden Informationen:

* EoL Informationen für Cisco Device Types über die Cisco Support API
* Software & Support-Contract Informationen für Cisco Devices über die Cisco Support API und Nornir.
* EoL Informationen für Fortinet & Pure Device Types (vorbereitet aber noch in Entwicklung)
* Software & Support-Contract Informationen für Fortinet & Pure Devices (vorbereitet aber noch in Entwicklung)

The complete documentation is available on MkDocs: [DSC MkDocs Network Documentation](http://192.168.1.10:9000/netdevops/netbox/plugins/device_support/)

# Languages and Tools
----
</br>

<p align="center">
  <img width="8.4%" src="https://user-images.githubusercontent.com/70367776/177972422-da6933d5-310e-4cdb-9433-89f2dc6ebb7a.png" alt="Python" />
  <img width="10.2%" src="https://user-images.githubusercontent.com/70367776/177969859-476bd542-2c0e-41a9-82f2-3e4919a61d4e.png" alt="YAML" />
  <img width="10.2%" src="https://user-images.githubusercontent.com/70367776/183678800-403cf0ea-3c8a-47bb-b52a-2caa0cedc195.png" alt="Makefile" />
  <img width="10.5%" src="https://user-images.githubusercontent.com/70367776/183679432-2b89f00c-f5b1-4d47-9c68-ad7fa332de01.png" alt="Prospector" />
  <img width="9%" src="https://user-images.githubusercontent.com/70367776/183680151-62d5c625-0430-4c90-adfc-1ebb47fce4a9.png" alt="Bandit" />
  <img width="9.4%" src="https://user-images.githubusercontent.com/70367776/177972703-3be3c4c3-aa9a-4468-97a6-e7760d536b89.png" alt="Git" />
  <img width="11.5%" src="https://user-images.githubusercontent.com/70367776/232078456-8aee2fda-1289-4cd9-b7f3-9b34fcb4d7c7.png" alt="Docker" />
  <img width="9.4%" src="https://user-images.githubusercontent.com/70367776/231501139-a449202e-6a81-4364-a4ea-1e42906e846e.png" alt="Azure Pipeline" />
  <img width="33.2%" src="https://user-images.githubusercontent.com/70367776/231500048-77eeff9a-166b-4bd7-a0cc-3c5fc58be368.png" alt="NetBox" />
</p>

<br>

<h3 align="center">APIs can also be amusing to provide a programming joke ...</h3>
<p align="center"><img src="https://readme-jokes.vercel.app/api?hideBorder&theme=calm" /></p>
<h3 align="center">... or an interesting quote.</h3>
<p align="center"><img src="https://quotes-github-readme.vercel.app/api?type=horizontal&theme=dracula" /></p>
